epp_DomainPeriod (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.domain.epp_DomainPeriod class

### org.openrtk.idl.epp0503.domain

# Class epp_DomainPeriod

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.domain.epp_DomainPeriod`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainPeriod`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent domain registration period. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/domain/epp_DomainPeriod.java,v 1.1 2003/03/21 16:18:30 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:30 $

See Also:
  `epp_DomainCreateReq`, `epp_DomainRenewReq`, `epp_DomainTransferReq`

  ## Field Summary
  `epp_DomainPeriodUnitType` | `m_unit` The unit type of the domain registration period.
  `short` | `m_value` The value of the domain registration period.

  ## Constructor Summary
  `epp_DomainPeriod()` Empty constructor
  `epp_DomainPeriod(epp_DomainPeriodUnitType _m_unit, short _m_value)` The constructor with initializing variables.

  ## Method Summary
  `epp_DomainPeriodUnitType` | `getUnit()` Accessor method for the unit type of the domain registration period
  `short` | `getValue()` Accessor method for the value of the domain registration period
  `void` | `setUnit(epp_DomainPeriodUnitType value)` Accessor method for the unit type of the domain registration period
  `void` | `setValue(int value)` Accessor method for the value of the domain registration period
  `void` | `setValue(short value)` Accessor method for the value of the domain registration period
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_unit

    public epp_DomainPeriodUnitType m_unit

> The unit type of the domain registration period.
> See Also:
>   `setUnit(epp_DomainPeriodUnitType)`, `getUnit()`

### m_value

    public short m_value

> The value of the domain registration period.
> See Also:
>   `setValue(short)`, `getValue()`

## Constructor Details

### epp_DomainPeriod

    public epp_DomainPeriod()

> Empty constructor

### epp_DomainPeriod

    public epp_DomainPeriod(epp_DomainPeriodUnitType _m_unit,
                            short _m_value)

> The constructor with initializing variables.
> Parameters:
>   `_m_unit` - The unit type of the domain registration period
>   `_m_value` - The value of the domain registration period

## Method Details

### getUnit

    public epp_DomainPeriodUnitType getUnit()

> Accessor method for the unit type of the domain registration period
> Returns:
>   The unit type of period
> See Also:
>   `m_unit`

### getValue

    public short getValue()

> Accessor method for the value of the domain registration period
> Returns:
>   The value of period
> See Also:
>   `m_value`

### setUnit

    public void setUnit(epp_DomainPeriodUnitType value)

> Accessor method for the unit type of the domain registration period
> Parameters:
>   `value` - The unit type of period
> See Also:
>   `m_unit`

### setValue

    public void setValue(int value)

> Accessor method for the value of the domain registration period
> Parameters:
>   `value` - The value of period
> See Also:
>   `m_value`

### setValue

    public void setValue(short value)

> Accessor method for the value of the domain registration period
> Parameters:
>   `value` - The value of period
> See Also:
>   `m_value`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS